declare const flowieResult: {
    fail<ResultType = null>(error: Error): FlowResult<ResultType>;
    success<ResultType_1 = null>(result: ResultType_1, startTime: number, functions: Readonly<Record<string, FlowFunctionResult>>): FlowResult<ResultType_1>;
};
export interface FlowResult<Result> {
    readonly success: boolean;
    readonly error?: Error;
    readonly result: Result;
    readonly executionTime: number;
    readonly functions: FlowFunctionsResultList;
}
export declare type FlowFunctionsResultList = Readonly<Record<string, FlowFunctionResult>>;
export interface FlowFunctionResult {
    readonly executionTime: number;
}
export default flowieResult;
