"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const flowieResult = {
    fail(error) {
        return {
            success: false,
            error,
            result: null,
            executionTime: 0,
            functions: {}
        };
    },
    success(result, startTime, functions) {
        return {
            success: true,
            result,
            executionTime: Date.now() - startTime,
            functions
        };
    }
};
exports.default = flowieResult;
//# sourceMappingURL=flowieResult.js.map